Page MenuHomeVyOS Platform

Add redistribute non main table in bgp
Closed, ResolvedPublicFEATURE REQUEST

Description

FRR is supports redistribute Non-main Kernel Routing Table via bgp.

1.3-n(config)# router bgp 4200000001 
1.3-n(config-router)# address-family ipv4 
1.3-n(config-router-af)# redistribute table 50

But VyOS don't support this option

vyos@1.3-n# set protocols bgp 4200000001 address-family ipv4-unicast redistribute 
Possible completions:
 > connected    Redistribute connected routes into BGP
 > kernel       Redistribute kernel routes into BGP
 > ospf         Redistribute OSPF routes into BGP
 > rip          Redistribute RIP routes into BGP
 > static       Redistribute static routes into BG

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

syncer assigned this task to c-po.Jan 3 2020, 8:10 PM
syncer triaged this task as Normal priority.
c-po changed the task status from Open to Backport candidate.Jan 24 2020, 1:05 PM
c-po moved this task from Need Triage to Backport Candidates on the VyOS 1.3 Equuleus board.
c-po added a project: Ready for Crux (1.2.x).
pasik added a subscriber: pasik.Jan 25 2020, 9:28 AM
c-po closed this task as Resolved.Jan 25 2020, 2:26 PM
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.5); removed Ready for Crux (1.2.x).
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.5) board.
c-po moved this task from Backport Candidates to Finished on the VyOS 1.3 Equuleus board.